[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.DoExit

Clears the value in AutoSelected when the control loses focus.

## Declaration

Source position: stdctrls.pp line 807

`protected procedure TCustomEdit.DoExit; override;`

## Description

DoExit is an overridden method in TCustomEdit. It ensures that the AutoSelected property is set to False prior to signalling the OnExit event handler (when assigned) in the ancestor class. DoExit is called when the CM_EXIT control message is handled in the ancestor class.

## See also

TWinControl.DoExit |  | Signals the OnExit event handler (when assigned) when the control loses focus.
TWinControl.OnExit |  | Event handler signalled when the control loses focus.
TWinControl.CMExit |  | Handles the CM_EXIT control message for the control.